package com.persagy.repository;

import com.persagy.entity.ZktAlarmRecordDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface AlarmRecordRepository extends PagingAndSortingRepository<ZktAlarmRecordDO, String> {


    @Query(value = "SELECT * FROM zkt_alarm_record a WHERE a.item_code = :itemCode and a.obj_id = :objId", nativeQuery = true)
    ZktAlarmRecordDO findByItemCodeAndObjId(@Param("itemCode") String itemCode, @Param("objId") String objId);


}
