package com.persagy.zktprojectalarm;

import com.alibaba.fastjson.JSONObject;
import com.google.common.base.CaseFormat;
import com.persagy.ZktProjectAlarmApplication;
import com.persagy.cache.AlarmInfoCache;
import com.persagy.entity.AlarmDefine;
import com.persagy.service.AlarmDefineService;
import com.persagy.utils.LockUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CountDownLatch;


@SpringBootTest(classes = ZktProjectAlarmApplication.class)
public class Mytest {

    @Autowired
    AlarmDefineService alarmDefineService;
    @Autowired
    AlarmInfoCache alarmInfoCache;

    @Test
    public void test1() throws Exception {
        LockUtil.getInstance().await();
        new CountDownLatch(1).await();
    }


    @Test
    public void test2() throws Exception {
        alarmDefineService.listAllAlarmDefine(new ArrayList<>());
        ConcurrentHashMap<String, AlarmDefine> alarmDefineMap = alarmInfoCache.getAlarmDefineMap();
        for (Map.Entry entry : alarmDefineMap.entrySet()) {
            System.out.println("[key]:" + entry.getKey() + "[value]" + entry.getValue());
        }
        System.out.println("--------------------");
        ConcurrentHashMap<String, List<AlarmDefine>> infoAlarmMap = alarmInfoCache.getInfoAlarmMap();
        for (Map.Entry entry : infoAlarmMap.entrySet()) {
            System.out.println("[key]:" + entry.getKey() + "[value]" + JSONObject.toJSONString(entry.getValue()));
        }

        new CountDownLatch(1).await();
    }


    @Test
    public void test3() throws Exception {
        List<String> list = Arrays.asList("WE", "We", "W_e", "asNs", "ss_Sd");
        for (String column : list) {
            System.out.println(CaseFormat.LOWER_CAMEL.to(CaseFormat.LOWER_UNDERSCORE, column));
        }
        new CountDownLatch(1).await();
    }

}
