package com.persagy.cache;


import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson.JSONObject;
import com.googlecode.aviator.AviatorEvaluator;
import com.googlecode.aviator.Expression;
import com.persagy.entity.AlarmDefine;
import com.persagy.entity.AlarmState;
import com.persagy.entity.Condition;
import com.persagy.entity.TemperatureWarningState;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;
import java.util.stream.Collectors;

/**
 * @Description 温度预警事项
 * @ClassName TemperatureWarningCache.java
 * @author LuoGuangyi
 * @version 1.0.0
 * @createTime  2021/05/07 9:43
 * @Since
 */
@Component
@Slf4j
public class TemperatureWarningCache {
    /**
     * 报警定义  <报警定义标识，温度预警事项状态>
     */
    private final ConcurrentHashMap<String, TemperatureWarningState> temperatureWarningStateMap = new ConcurrentHashMap<>();


}
